--- rblsmtpd.c.orig	Tue Jun  6 08:14:06 2006
+++ rblsmtpd.c	Tue Jun  6 08:33:40 2006
@@ -229,8 +229,15 @@
   if (!*argv) usage();
 
   if (flagwantdefaultrbl) rbl("rbl.maps.vix.com");
-  if (decision >= 2) rblsmtpd();
-
-  pathexec_run(*argv,argv,envp);
+  if (env_get("RBL2SMTPD")) {
+    if (decision >= 2) {
+      if (!stralloc_0(&text)) nomem();
+      pathexec_env("RBLMATCH", text.s);
+    }
+    pathexec(argv);
+  } else {
+    if (decision >= 2) rblsmtpd();
+    pathexec_run(*argv,argv,envp);
+  }
   strerr_die4sys(111,FATAL,"unable to run ",*argv,": ");
 }
